<img src="https://user-images.githubusercontent.com/13779759/160237628-381adb19-d439-4df6-98af-c3cb67ba5b5c.svg" width="500px" alt="web3uiKit logo" />

# Web3UIKit!

Beautiful and lightweight UI components for web3 developers.
This UI library will speed up your dapp development no matter which chain you build on.

[![CI](https://github.com/web3ui/web3uikit/actions/workflows/main.yml/badge.svg)](https://github.com/web3ui/web3uikit/actions/workflows/main.yml)

Live StoryBook DEMO: https://web3ui.github.io/web3uikit/

![Moralis-NFT-Marketplace](https://user-images.githubusercontent.com/11097108/149983225-cac8b881-a75d-4922-a3d2-8f13dfad37be.png)

# ⭐️ `Star us`

If this ui-kit helps you build your dApps faster - please star this project, every star makes us very happy!

# 🤝 `Need help?`

If you need help with setting up the boilerplate or have other questions - don't hesitate to write in our community forum and we will check asap. [Forum link](https://forum.moralis.io). The best thing about this boilerplate is the super active community ready to help at any time! We help each other.

# 🚀 `Quick Start`

### 💿 Installation

```bash
npm install @web3uikit/icons
```

or

```bash
yarn add @web3uikit/icons
```

### 🧰 Usage

```jsx
import { Metamask } from '@web3uikit/icons';

const App = () => (
    <>
        <Metamask fontSize="50px" color="#000000" title="Metamask Icon" />
    </>
);
```

### ▲ Usage with Next.js

If you are using `web3uikit` with Next.js, be sure to follow the [official guide](https://github.com/vercel/next.js/tree/canary/examples/with-styled-components-babel), since we are using `styled-components` under the hood.

# 🧭 `Table of contents`

-   [Web3UIKit!](#web3uikit)
-   [⭐️ `Star us`](#️-star-us)
-   [🤝 `Need help?`](#-need-help)
-   [🚀 `Quick Start`](#-quick-start)
    -   [💿 Installation](#-installation)
    -   [🧰 Usage](#-usage)
    -   [Icons](#-icons)

## Icons

![IconsGallery](https://user-images.githubusercontent.com/35369843/176008215-7992fe52-27ff-433d-9317-1e95e28851e1.gif)

Go to our live [storybook demo](#TODO) to view various icons present in the library.
